#include <iostream>
#include <string>
#include "Osoba.h"

using namespace std;

template<typename T> T* napravi(int n){
	return new T[n];
}

template<typename T> void ucitaj(T* niz, int n){
	for(int i=0; i<n; i++)
		cin>>niz[i];
}

template<typename T> void ispisi(T* niz, int n){
	for(int i=0; i<n; i++)
		cout<<niz[i]<<endl;
}

int main(int argc, char **argv){
	int n;
	int *nizInt;
	float *nizFloat;
	Osoba *nizOsoba;
	cout<<"Dimenzija niza: ";
	cin>>n;
	
	nizInt = napravi<int>(n);
	nizFloat = napravi<float>(n);
	nizOsoba = napravi<Osoba>(n);
	
	cout<<"Unesite "<<n<<" celih brojeva"<<endl;
	ucitaj<int>(nizInt, n);
	cout<<"Unesite "<<n<<" realnih brojeva"<<endl;
	ucitaj<float>(nizFloat, n);
	cout<<"Unesite "<<n<<" osoba"<<endl;
	ucitaj<Osoba>(nizOsoba, n);
	
	ispisi<int>(nizInt, n);
	ispisi<float>(nizFloat, n);
	ispisi<Osoba>(nizOsoba, n);
	
	return 0;
}
